string a, b, c;
            a = Convert.ToString(Console.ReadLine());
            b = Convert.ToString(Console.ReadLine());
            c = Convert.ToString(Console.ReadLine());
            string[] aa = new string[6];
            aa[0] = a + b + c;
            aa[1] = a + c + b;
            aa[2] = b + a + c;
            aa[3] = b + c + a;
            aa[4] = c + a + b;
            aa[5] = c + b + a;
            ulong max=0;
            for (int i = 0; i < 6; i++)
            {
                ulong y = Convert.ToUInt64(aa[i]);
                if (y > max)
                    max = y;
            }
            Console.WriteLine(max);
            Console.ReadLine();